#include "blitz/protocol/packets/PlayerJoinPacket.h"

namespace blitz {
namespace protocol {

DataBuffer PlayerJoinPacket::Serialize(bool packetID) const {
	DataBuffer data;

	WritePacketID(data, packetID);
	data << m_PlayerID << m_PlayerName;
	return data;
}

void PlayerJoinPacket::Deserialize(DataBuffer& data) {
	data >> m_PlayerID >> m_PlayerName;
}

}  // namespace protocol
}  // namespace blitz
